$PAGE
C**   **********************************************************
C**   **********************************************************
C**   TAD - DATE TIME SUBROUTINE
C**         Interfaces with PCDATE and PCTIME
C**
C**   John R. Petrocelli   01/13/86
C**   3890 Carman Rd.
C**   Schenectady, N.Y.  12303
C**   **********************************************************
C**   **********************************************************
$DEBUG
$LARGE
      SUBROUTINE TAD(MO1,MO2,DA1,DA2,YEAR,YR1,YR2,
     *               HR1,HR2,MIN1,MIN2,SEC1,SEC2)
      INTEGER*2 MONTH,DAY,YEAR,HOUR,MINUTE,SECS,MSECS
      INTEGER*2 MO1,MO2,DA1,DA2,YR,YR1,YR2
      INTEGER*2 HR1,HR2,MIN1,MIN2,SEC1,SEC2
      CALL PCDATE(YEAR,MONTH,DAY)
      CALL PCTIME(HOUR,MINUTE,SECS,MSECS)
      YR=YEAR-1900
      IF (YR .GE. 100) YR=YR-100
      YR1=YR/10
      YR2=YR-YR1*10
      MO1=MONTH/10
      MO2=MONTH-MO1*10
      DA1=DAY/10
      DA2=DAY-DA1*10
      HR1=HOUR/10
      HR2=HOUR-HR1*10
      MIN1=MINUTE/10
      MIN2=MINUTE-MIN1*10
      SEC1=SECS/10
      SEC2=SECS-SEC1*10
      RETURN
      END
C**   -----------------------------------------------------
